gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-exchange] branch master updated: retry test after 2s sleep; worka


From: gnunet
Subject: [taler-exchange] branch master updated: retry test after 2s sleep; workaround for #7445
Date: Sun, 20 Nov 2022 16:34:32 +0100

This is an automated email from the git hooks/post-receive script.

oec pushed a commit to branch master
in repository exchange.

The following commit(s) were added to refs/heads/master by this push:
     new 496a13f3 retry test after 2s sleep; workaround for #7445
496a13f3 is described below

commit 496a13f35eb3b352eb2bcf8cf84938ce0683e9c5
Author: Özgür Kesim <oec-taler@kesim.org>
AuthorDate: Sun Nov 20 16:34:29 2022 +0100

    retry test after 2s sleep; workaround for #7445
---
 src/auditor/test-auditor.sh | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/src/auditor/test-auditor.sh b/src/auditor/test-auditor.sh
index 2fc97283..60cc00bd 100755
--- a/src/auditor/test-auditor.sh
+++ b/src/auditor/test-auditor.sh
@@ -240,7 +240,13 @@ function audit_only () {
     echo -n "."
     $VALGRIND taler-helper-auditor-reserves -i -L DEBUG -c $CONF -m 
$MASTER_PUB > test-audit-reserves-inc.json 2> 
${MY_TMP_DIR}/test-audit-reserves-inc.log || exit_fail "incremental reserves 
audit failed"
     echo -n "."
-    $VALGRIND taler-helper-auditor-wire -i -L DEBUG -c $CONF -m $MASTER_PUB > 
test-audit-wire.json 2> ${MY_TMP_DIR}/test-wire-audit.log || exit_fail "wire 
audit failed"
+    rm -f ${MY_TMP_DIR}/test-wire-audit.log
+    thaw() {
+      $VALGRIND taler-helper-auditor-wire -i -L DEBUG -c $CONF -m $MASTER_PUB 
> test-audit-wire.json 2>> ${MY_TMP_DIR}/test-wire-audit.log
+    }
+    thaw || ( echo -e " FIRST CALL TO taler-helper-auditor-wire FAILED,\nRETRY 
AFTER TWO SECONDS..." | tee -a ${MY_TMP_DIR}/test-wire-audit.log
+             sleep 2
+             thaw || exit_fail "wire audit failed" )
     echo -n "."
     $VALGRIND taler-helper-auditor-wire -i -L DEBUG -c $CONF -m $MASTER_PUB > 
test-audit-wire-inc.json 2> ${MY_TMP_DIR}/test-wire-audit-inc.log || exit_fail 
"wire audit inc failed"
     echo -n "."

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]